import { t } from "@/lib/trpc";
import { dashboardMiddleware } from "@/trpc/middleware/dashboard";
import { createAdminMiddleware } from "@/trpc/middleware/protected";

export const dashboardProcedure = t.procedure.use(dashboardMiddleware);

export const adminProcedure = t.procedure.use(createAdminMiddleware());
